=== debian/tests/control ===
# Tests: testsuite
# Depends: build-essential,
#          dbus (>= 1.8),
#          libkf5coreaddons-data,
#          openbox,
#          xauth,
#          xvfb,
#          @,
#          @builddeps@,
# Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr
